<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:10 AEST 2019 -->
<title>Constant Field Values (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Constant Field Values (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Constant Field Values" class="title">Constant Field Values</h1>
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#com.sk89q">com.sk89q.*</a></li>
</ul>
</div>
<div class="constantValuesContainer"><a name="com.sk89q">
<!--   -->
</a>
<h2 title="com.sk89q">com.sk89q.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.sk89q.jnbt.<a href="com/sk89q/jnbt/NBTConstants.html" title="class in com.sk89q.jnbt">NBTConstants</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.jnbt.NBTConstants.TYPE_BYTE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/jnbt/NBTConstants.html#TYPE_BYTE">TYPE_BYTE</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.sk89q.jnbt.NBTConstants.TYPE_BYTE_ARRAY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/jnbt/NBTConstants.html#TYPE_BYTE_ARRAY">TYPE_BYTE_ARRAY</a></code></td>
<td class="colLast"><code>7</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.jnbt.NBTConstants.TYPE_COMPOUND">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/jnbt/NBTConstants.html#TYPE_COMPOUND">TYPE_COMPOUND</a></code></td>
<td class="colLast"><code>10</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.sk89q.jnbt.NBTConstants.TYPE_DOUBLE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/jnbt/NBTConstants.html#TYPE_DOUBLE">TYPE_DOUBLE</a></code></td>
<td class="colLast"><code>6</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.jnbt.NBTConstants.TYPE_END">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/jnbt/NBTConstants.html#TYPE_END">TYPE_END</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.sk89q.jnbt.NBTConstants.TYPE_FLOAT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/jnbt/NBTConstants.html#TYPE_FLOAT">TYPE_FLOAT</a></code></td>
<td class="colLast"><code>5</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.jnbt.NBTConstants.TYPE_INT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/jnbt/NBTConstants.html#TYPE_INT">TYPE_INT</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.sk89q.jnbt.NBTConstants.TYPE_INT_ARRAY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/jnbt/NBTConstants.html#TYPE_INT_ARRAY">TYPE_INT_ARRAY</a></code></td>
<td class="colLast"><code>11</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.jnbt.NBTConstants.TYPE_LIST">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/jnbt/NBTConstants.html#TYPE_LIST">TYPE_LIST</a></code></td>
<td class="colLast"><code>9</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.sk89q.jnbt.NBTConstants.TYPE_LONG">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/jnbt/NBTConstants.html#TYPE_LONG">TYPE_LONG</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.jnbt.NBTConstants.TYPE_LONG_ARRAY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/jnbt/NBTConstants.html#TYPE_LONG_ARRAY">TYPE_LONG_ARRAY</a></code></td>
<td class="colLast"><code>12</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.sk89q.jnbt.NBTConstants.TYPE_SHORT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/jnbt/NBTConstants.html#TYPE_SHORT">TYPE_SHORT</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.jnbt.NBTConstants.TYPE_STRING">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/jnbt/NBTConstants.html#TYPE_STRING">TYPE_STRING</a></code></td>
<td class="colLast"><code>8</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.sk89q.util.yaml.<a href="com/sk89q/util/yaml/YAMLProcessor.html" title="class in com.sk89q.util.yaml">YAMLProcessor</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.util.yaml.YAMLProcessor.COMMENT_CHAR">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;char</code></td>
<td><code><a href="com/sk89q/util/yaml/YAMLProcessor.html#COMMENT_CHAR">COMMENT_CHAR</a></code></td>
<td class="colLast"><code>35</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.sk89q.worldedit.command.util.<a href="com/sk89q/worldedit/command/util/CreatureButcher.Flags.html" title="class in com.sk89q.worldedit.command.util">CreatureButcher.Flags</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.worldedit.command.util.CreatureButcher.Flags.AMBIENT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/worldedit/command/util/CreatureButcher.Flags.html#AMBIENT">AMBIENT</a></code></td>
<td class="colLast"><code>16</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.sk89q.worldedit.command.util.CreatureButcher.Flags.ANIMALS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/worldedit/command/util/CreatureButcher.Flags.html#ANIMALS">ANIMALS</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.worldedit.command.util.CreatureButcher.Flags.ARMOR_STAND">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/worldedit/command/util/CreatureButcher.Flags.html#ARMOR_STAND">ARMOR_STAND</a></code></td>
<td class="colLast"><code>64</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.sk89q.worldedit.command.util.CreatureButcher.Flags.FRIENDLY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/worldedit/command/util/CreatureButcher.Flags.html#FRIENDLY">FRIENDLY</a></code></td>
<td class="colLast"><code>63</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.worldedit.command.util.CreatureButcher.Flags.GOLEMS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/worldedit/command/util/CreatureButcher.Flags.html#GOLEMS">GOLEMS</a></code></td>
<td class="colLast"><code>8</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.sk89q.worldedit.command.util.CreatureButcher.Flags.NPCS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/worldedit/command/util/CreatureButcher.Flags.html#NPCS">NPCS</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.worldedit.command.util.CreatureButcher.Flags.PETS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/worldedit/command/util/CreatureButcher.Flags.html#PETS">PETS</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.sk89q.worldedit.command.util.CreatureButcher.Flags.TAGGED">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/worldedit/command/util/CreatureButcher.Flags.html#TAGGED">TAGGED</a></code></td>
<td class="colLast"><code>32</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.sk89q.worldedit.extension.platform.permission.<a href="com/sk89q/worldedit/extension/platform/permission/OverridePermissions.html" title="class in com.sk89q.worldedit.extension.platform.permission">OverridePermissions</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.worldedit.extension.platform.permission.OverridePermissions.NO_LIMITS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/sk89q/worldedit/extension/platform/permission/OverridePermissions.html#NO_LIMITS">NO_LIMITS</a></code></td>
<td class="colLast"><code>"worldedit.limit.unrestricted"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.sk89q.worldedit.internal.annotation.<a href="com/sk89q/worldedit/internal/annotation/Direction.html" title="annotation in com.sk89q.worldedit.internal.annotation">Direction</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.worldedit.internal.annotation.Direction.AIM">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/sk89q/worldedit/internal/annotation/Direction.html#AIM">AIM</a></code></td>
<td class="colLast"><code>"me"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.sk89q.worldedit.math.<a href="com/sk89q/worldedit/math/MathUtils.html" title="class in com.sk89q.worldedit.math">MathUtils</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.worldedit.math.MathUtils.SAFE_MIN">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;double</code></td>
<td><code><a href="com/sk89q/worldedit/math/MathUtils.html#SAFE_MIN">SAFE_MIN</a></code></td>
<td class="colLast"><code>2.2250738585072014E-308</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.sk89q.worldedit.util.logging.<a href="com/sk89q/worldedit/util/logging/LogFormat.html" title="class in com.sk89q.worldedit.util.logging">LogFormat</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.worldedit.util.logging.LogFormat.DEFAULT_FORMAT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/sk89q/worldedit/util/logging/LogFormat.html#DEFAULT_FORMAT">DEFAULT_FORMAT</a></code></td>
<td class="colLast"><code>"[%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS %4$s]: %5$s%6$s%n"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.sk89q.worldedit.world.storage.<a href="com/sk89q/worldedit/world/storage/ChunkStore.html" title="class in com.sk89q.worldedit.world.storage">ChunkStore</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.worldedit.world.storage.ChunkStore.CHUNK_SHIFTS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/worldedit/world/storage/ChunkStore.html#CHUNK_SHIFTS">CHUNK_SHIFTS</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.sk89q.worldedit.world.storage.<a href="com/sk89q/worldedit/world/storage/McRegionReader.html" title="class in com.sk89q.worldedit.world.storage">McRegionReader</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.worldedit.world.storage.McRegionReader.CHUNK_HEADER_SIZE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/worldedit/world/storage/McRegionReader.html#CHUNK_HEADER_SIZE">CHUNK_HEADER_SIZE</a></code></td>
<td class="colLast"><code>5</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.sk89q.worldedit.world.storage.McRegionReader.SECTOR_BYTES">
<!--   -->
</a><code>protected&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/worldedit/world/storage/McRegionReader.html#SECTOR_BYTES">SECTOR_BYTES</a></code></td>
<td class="colLast"><code>4096</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.worldedit.world.storage.McRegionReader.SECTOR_INTS">
<!--   -->
</a><code>protected&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/worldedit/world/storage/McRegionReader.html#SECTOR_INTS">SECTOR_INTS</a></code></td>
<td class="colLast"><code>1024</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.sk89q.worldedit.world.storage.McRegionReader.VERSION_DEFLATE">
<!--   -->
</a><code>protected&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/worldedit/world/storage/McRegionReader.html#VERSION_DEFLATE">VERSION_DEFLATE</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.sk89q.worldedit.world.storage.McRegionReader.VERSION_GZIP">
<!--   -->
</a><code>protected&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/sk89q/worldedit/world/storage/McRegionReader.html#VERSION_GZIP">VERSION_GZIP</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
